ros-foxy-rclcpp-lifecycle (2.4.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.4.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.4.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.4.0-1focal) focal; urgency=high

  * Fix SEGV caused by order of destruction of Node sub-interfaces (#1469 <https://github.com/ros2/rclcpp/issues/1469>) (#1736 <https://github.com/ros2/rclcpp/issues/1736>)
  * Contributors: Colin MacKenzie

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.3.1-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1616 <https://github.com/ros2/rclcpp/issues/1616>)
  * Contributors: Simon Honigmann

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.3.0-1focal) focal; urgency=high

  * Reserve vector capacities and use emplace_back for constructing vectors (#1464 <https://github.com/ros2/rclcpp/issues/1464>) (#1489 <https://github.com/ros2/rclcpp/issues/1489>)
  * Change uint8_t iterator variables to size_t (#1461 <https://github.com/ros2/rclcpp/issues/1461>) (#1488 <https://github.com/ros2/rclcpp/issues/1488>)
  * Update QD to QL 1 (#1480 <https://github.com/ros2/rclcpp/issues/1480>)
  * Benchmark lifecycle features (#1462 <https://github.com/ros2/rclcpp/issues/1462>) (#1471 <https://github.com/ros2/rclcpp/issues/1471>)
  * Fix race in test_lifecycle_service_client (#1204 <https://github.com/ros2/rclcpp/issues/1204>)
  * Increase test coverage of rclcpp_lifecycle to 96% (#1298 <https://github.com/ros2/rclcpp/issues/1298>)
  * Add missing tests for rclcpp lifecycle (#1240 <https://github.com/ros2/rclcpp/issues/1240>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron, Louise Poubel, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.2.0-1focal) focal; urgency=high

  * Log error instead of throwing exception in Transition and State reset() mark no except (#1297 <https://github.com/ros2/rclcpp/issues/1297>) (#1378 <https://github.com/ros2/rclcpp/issues/1378>)
  * Remove rmw-dependent unit-test checks (#1293 <https://github.com/ros2/rclcpp/issues/1293>) (#1377 <https://github.com/ros2/rclcpp/issues/1377>)
  * Contributors: Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.1.0-1focal) focal; urgency=high

  * Warn about unused result of add_on_set_parameters_callback (#1238 <https://github.com/ros2/rclcpp/issues/1238>) (#1244 <https://github.com/ros2/rclcpp/issues/1244>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 03 Aug 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.0.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.0.1-1focal) focal; urgency=high

  * Fixed doxygen warnings (#1163 <https://github.com/ros2/rclcpp/issues/1163>) (#1191 <https://github.com/ros2/rclcpp/issues/1191>)
  * Contributors: Alejandro Hernández Cordero

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (2.0.0-1focal) focal; urgency=high

  * Added missing virtual destructors. (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Fixed ``test_lifecycle_node.cpp:check_parameters`` (#1136 <https://github.com/ros2/rclcpp/issues/1136>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (1.1.0-1focal) focal; urgency=high

  * Deprecate set_on_parameters_set_callback (#1123 <https://github.com/ros2/rclcpp/issues/1123>)
  * Add missing parameter callback functions to lifecycle node (#1134 <https://github.com/ros2/rclcpp/issues/1134>)
  * Expose get_service_names_and_types_by_node from rcl in rclcpp (#1131 <https://github.com/ros2/rclcpp/issues/1131>)
  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Claire Wang, Dirk Thomas, Stephen Brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (1.0.0-1focal) focal; urgency=high

  * Avoid callback_group deprecation (#1108 <https://github.com/ros2/rclcpp/issues/1108>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.9.1-1focal) focal; urgency=high

  * Added rclcpp lifecycle Doxyfile (#1089 <https://github.com/ros2/rclcpp/issues/1089>)
  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Increasing test coverage of rclcpp_lifecycle (#1045 <https://github.com/ros2/rclcpp/issues/1045>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.9.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#1096 <https://github.com/ros2/rclcpp/issues/1096>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)
  * Integrate topic statistics (#1072 <https://github.com/ros2/rclcpp/issues/1072>)
  * Reflect changes in rclcpp API (#1079 <https://github.com/ros2/rclcpp/issues/1079>)
  * Fix unknown macro errors reported by cppcheck 1.90 (#1000 <https://github.com/ros2/rclcpp/issues/1000>)
  * Rremoved rmw_implementation from package.xml (#991 <https://github.com/ros2/rclcpp/issues/991>)
  * Implement functions to get publisher and subcription informations like QoS policies from topic name (#960 <https://github.com/ros2/rclcpp/issues/960>)
  * Create node clock calls const (#922 <https://github.com/ros2/rclcpp/issues/922>)
  * Type conversions fixes (#901 <https://github.com/ros2/rclcpp/issues/901>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Devin Bonnie, Dirk Thomas, Jacob Perron, Monika Idzik, Prajakta Gokhale, Steven Macenski, William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.8.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.8.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.8.1-1focal) focal; urgency=high

  * New Intra-Process Communication (#778 <https://github.com/ros2/rclcpp/issues/778>)
  * Contributors: Alberto Soragna

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.8.0-1focal) focal; urgency=high

  * clean up publisher and subscription creation logic (#867 <https://github.com/ros2/rclcpp/issues/867>)
  * reset error message before setting a new one, embed the original one (#854 <https://github.com/ros2/rclcpp/issues/854>)
  * remove features and related code which were deprecated in dashing (#852 <https://github.com/ros2/rclcpp/issues/852>)
  * Fix typo in deprecated warning. (#848 <https://github.com/ros2/rclcpp/issues/848>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * Fixe error messages not printing to terminal (#777 <https://github.com/ros2/rclcpp/issues/777>)
  * Add default value to options in LifecycleNode construnctor. Update API documentation. (#775 <https://github.com/ros2/rclcpp/issues/775>)
  * Contributors: Dan Rose, Dirk Thomas, Esteve Fernandez, Luca Della Vedova, William Woodall, Yathartha Tuladhar

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.4-1focal) focal; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.3-1focal) focal; urgency=high

  * Added missing template functionality to lifecycle_node. (#707 <https://github.com/ros2/rclcpp/issues/707>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.2-1focal) focal; urgency=high

  * Added new way to specify QoS settings for publishers and subscriptions. (#713 <https://github.com/ros2/rclcpp/issues/713>)
  * Deprecated ``shared_ptr`` and raw pointer versions of ``Publisher<T>::publish()``. (#709 <https://github.com/ros2/rclcpp/issues/709>)
  * Implemented API to set callbacks for liveliness and deadline QoS events for publishers and subscriptions. (#695 <https://github.com/ros2/rclcpp/issues/695>)
  * Changed the ``IntraProcessManager`` to be capable of storing ``shared_ptr<const T>`` in addition to ``unique_ptr<T>``. (#690 <https://github.com/ros2/rclcpp/issues/690>)
  * Contributors: M. M, William Woodall, ivanpauno

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.1-1focal) focal; urgency=high

  * Added read only parameters. (#495 <https://github.com/ros2/rclcpp/issues/495>)
  * Contributors: Shane Loretz, William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.7.0-1focal) focal; urgency=high

  * Fixed linter errors in rclcpp_lifecycle. (#672 <https://github.com/ros2/rclcpp/issues/672>)
  * Added parameter-related templates to LifecycleNode. (#645 <https://github.com/ros2/rclcpp/issues/645>)
  * Fixed use_sim_time issue on LifeCycleNode. (#651 <https://github.com/ros2/rclcpp/issues/651>)
  * Updated to use ament_target_dependencies where possible. (#659 <https://github.com/ros2/rclcpp/issues/659>)
  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added a method to the LifecycleNode class to get the logging interface. (#652 <https://github.com/ros2/rclcpp/issues/652>)
  * Set Parameter Event Publisher settings #591 <https://github.com/ros2/rclcpp/issues/591> (#614 <https://github.com/ros2/rclcpp/issues/614>)
  * Replaced node constructor arguments with NodeOptions. (#622 <https://github.com/ros2/rclcpp/issues/622>)
  * Removed dependency on rclpy. (#626 <https://github.com/ros2/rclcpp/issues/626>)
  * Contributors: Emerson Knapp, Karsten Knese, Michael Carroll, Michael Jeronimo, Vinnam Kim, William Woodall, ivanpauno, rarvolt

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.6.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.6.1-1focal) focal; urgency=high

  * Added node path and time stamp to parameter event message (#584 <https://github.com/ros2/rclcpp/issues/584>)
  * Refactored init to allow for non-global init (#587 <https://github.com/ros2/rclcpp/issues/587>)
  * Add class Waitable (#589 <https://github.com/ros2/rclcpp/issues/589>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall, bpwilcox

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.6.0-1focal) focal; urgency=high

  * Updated to use new error handling API from rcutils (#577 <https://github.com/ros2/rclcpp/issues/577>)
  * Deleted TRANSITION_SHUTDOWN (#576 <https://github.com/ros2/rclcpp/issues/576>)
  * Added a warning when publishing if publisher is not active (#574 <https://github.com/ros2/rclcpp/issues/574>)
  * Added SMART_PTRS_DEF to LifecyclePublisher (#569 <https://github.com/ros2/rclcpp/issues/569>)
  * Added service for transition graph (#555 <https://github.com/ros2/rclcpp/issues/555>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#565 <https://github.com/ros2/rclcpp/issues/565>)
  * Fixed and improved documentation  (#546 <https://github.com/ros2/rclcpp/issues/546>)
  * Removed unneeded dependency on std_msgs (#513 <https://github.com/ros2/rclcpp/issues/513>)
  * Removed use of uninitialized CMake var (#511 <https://github.com/ros2/rclcpp/issues/511>)
  * Added get_node_names API from node. (#508 <https://github.com/ros2/rclcpp/issues/508>)
  * Fixed rosidl dependencies (#507 <https://github.com/ros2/rclcpp/issues/507>)
  * Contributors: Chris Lalancette, Dirk Thomas, Francisco Martín Rico, Karsten Knese, Mikael Arguedas, Sriram Raghunathan, William Woodall, cho3

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 19 Nov 2018 00:00:00 -0000

ros-foxy-rclcpp-lifecycle (0.5.0-1focal) focal; urgency=high

  * Added functions that allow you to publish serialized messages and received serialized messages in your subscription callback. (#388 <https://github.com/ros2/rclcpp/issues/388>)
  * Added ability to initialize parameter values in a node with an argument to the Node constructor. (#486 <https://github.com/ros2/rclcpp/issues/486>)
  * Nodes now autostart the ROS parameter services which let you get, set, and list parameters in a node. (#478 <https://github.com/ros2/rclcpp/issues/478>)
  * Fixed a bug that occurred when mixing ``std::shared_ptr`` and ``std::bind``. (#470 <https://github.com/ros2/rclcpp/issues/470>)
  * Added ability to pass command line arguments to the Node constructor. (#461 <https://github.com/ros2/rclcpp/issues/461>)
  * Changed library export order for static linking. (#446 <https://github.com/ros2/rclcpp/issues/446>)
  * Now depends on ``ament_cmake_ros``. (#444 <https://github.com/ros2/rclcpp/issues/444>)
  * Updaed code to use logging macros rather than ``fprintf()``. (#439 <https://github.com/ros2/rclcpp/issues/439>)
  * Contributors: Dirk Thomas, Guillaume Autran, Karsten Knese, Michael Carroll, Mikael Arguedas, Shane Loretz, dhood

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 25 Jun 2018 00:00:00 -0000


